package Logica;

import java.time.LocalDate;

public class Transaccion {
	private String nombre;
	private float dinero;
	private boolean visible;
	private LocalDate dia;
	
	public Transaccion(String nombre, float dinero){
		this.nombre = nombre;
		this.dinero = dinero;
		this.visible = true;
		this.dia = LocalDate.now();
	}
	
	public Transaccion(String nombre, float dinero, LocalDate dia){
		this.nombre = nombre;
		this.dinero = dinero;
		this.visible = true;
		this.dia = dia;
	}
	
	public String toString() {
		return this.nombre + " " + this.dinero;
	}
	
	public boolean getVisivilidad() {
		return this.visible;
	}
	
	public boolean alterarVisivilidad() {
		this.visible =! this.visible;
		return this.visible;
	}
	
	public float getDinero() {
		return this.dinero;
	}
	
	public LocalDate getDia() {
		return this.dia;
	}
}
